module OW_parms_areal

use sep
use OW_type

implicit none

type (axis) ,public, save				:: xm, ym, z
type (mod_grid)	 ,public, save			:: img
integer	 ,public, save				:: nsecdim,esize
real ,public, save					:: osecdim,dsecdim,pi

contains

subroutine owparam()

call from_history("n1",img%z%n) ; call from_history("d1",img%z%d) ; call from_history("o1",img%z%o)
call from_history("n2",nsecdim) ; call from_history("d2",dsecdim) ; call from_history("o2",osecdim)
call from_history("n4",img%xm%n); call from_history("d4",img%xm%d); call from_history("o4",img%xm%o)  
call from_history("n5",img%ym%n); call from_history("d5",img%ym%d); call from_history("o5",img%ym%o)  
call from_history("esize",esize)
call to_history("n1",img%z%n,"out") ; call to_history("d1",img%z%d,"out") ; call to_history("o1",img%z%o,"out")
call to_history("n2",nsecdim,"out") ; call to_history("d2",dsecdim,"out") ; call to_history("o2",osecdim,"out")
call to_history("n3",1,"out"); call to_history("d3",dsecdim,"out"); call to_history("o3",0.,"out")
call to_history("n4",img%xm%n,"out"); call to_history("d4",img%xm%d,"out"); call to_history("o4",img%xm%o,"out")  
call to_history("n5",img%ym%n,"out"); call to_history("d5",img%ym%d,"out"); call to_history("o5",img%ym%o,"out")  
if (esize == 4) then
   call to_history("esize",8,"out"); 
else
   call to_history("esize",4,"out"); 
end if
pi=4*atan(1.)

end subroutine

end module
